#include <windows.h>
#include <io.h>
#include <memory.h>
#include <fcntl.h>

#include "type.h"

static char *padbuf = NULL;

//-----------------------------------------------------------------

// This Function is called when emulator starts
int JOY0_Open(UINT32 *joy)
{
// Nothing to do here
 return FPSE_OK;
}

// This Function is called when emulator is closed
void JOY0_Close()
{
// Nothing to do here
}

// This function is called when the gamepad should vibrate:
// if (motor != 0) then vibrate(on) else vibrate(off)
void JOY0_Vibrate(int motor)
{
}

// Return status of buttons (see joydrv.h)
void JOY0_Poll()
{
    padbuf[3] = 0xFF;
    padbuf[4] = 0xFF;
}

int JOY0_InitHeader(char *buf)
{
    padbuf = buf;
    buf[1] = 0x41;
    buf[2] = 0x5A;
    return 5;
}

int JOY0_Configure(UINT32 *par)
{
    return FPSE_OK;
}

void JOY0_About(UINT32 *par)
{
}
